package org.uytube.ui;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.DefaultDesktopManager;
import javax.swing.DesktopManager;
import javax.swing.ImageIcon;
import javax.swing.JInternalFrame;
import javax.swing.JInternalFrame.JDesktopIcon;
import javax.swing.JPanel;
import org.uytube.ui.categoria.AltaCategoria;
import org.uytube.ui.categoria.ConsultaCategoria;
import org.uytube.ui.categoria.ListarCategorias;
import org.uytube.ui.lista.AgregarVideoLista;
import org.uytube.ui.lista.AltaLista;
import org.uytube.ui.lista.ConsultaLista;
import org.uytube.ui.lista.ModificarLista;
import org.uytube.ui.lista.QuitarVideoLista;
import org.uytube.ui.usuario.AltaUsuario;
import org.uytube.ui.usuario.ConsultaUsuario;
import org.uytube.ui.usuario.ListarUsuarios;
import org.uytube.ui.usuario.ModificarUsuario;
import org.uytube.ui.video.AltaVideo;
import org.uytube.ui.video.ComentarVideo;
import org.uytube.ui.video.ConsultaVideo;
import org.uytube.ui.video.ModificarVideo;

public class MainFrame extends javax.swing.JFrame {

  private static class MenuItemsHandler extends MouseAdapter {

    @Override
    public void mouseEntered(MouseEvent evt) {
      JPanel source = (JPanel) evt.getSource();
      source.setBackground(new Color(53, 47, 91));
    }

    @Override
    public void mouseExited(MouseEvent evt) {
      JPanel source = (JPanel) evt.getSource();
      source.setBackground(new Color(66, 58, 111));
    }
  }

  private class MenuHandler extends MouseAdapter {

    @Override
    public void mouseClicked(MouseEvent evt) {
      JPanel source = (JPanel) evt.getSource();
      for (Component component : source.getParent().getComponents()) {
        JPanel panel = (JPanel) component;
        panel.setBackground(new Color(53, 47, 91));
      }
      source.setBackground(new Color(66, 58, 111));
      if (source == itemUsuarios) {
        if (menuU.isVisible()) {
          menuU.setVisible(false);
          itemUsuarios.setBackground(new Color(53, 47, 91));
        } else {
          menuU.setVisible(true);
        }
        menuV.setVisible(false);
        menuC.setVisible(false);
        menuL.setVisible(false);
      } else if (source == itemVideos) {
        if (menuV.isVisible()) {
          menuV.setVisible(false);
          itemVideos.setBackground(new Color(53, 47, 91));
        } else {
          menuV.setVisible(true);
        }
        menuU.setVisible(false);
        menuC.setVisible(false);
        menuL.setVisible(false);
      } else if (source == itemListas) {
        if (menuL.isVisible()) {
          menuL.setVisible(false);
          itemListas.setBackground(new Color(53, 47, 91));
        } else {
          menuL.setVisible(true);
        }
        menuV.setVisible(false);
        menuC.setVisible(false);
        menuU.setVisible(false);
      } else {
        if (menuC.isVisible()) {
          menuC.setVisible(false);
          itemCategorias.setBackground(new Color(53, 47, 91));
        } else {
          menuC.setVisible(true);
        }
        menuV.setVisible(false);
        menuU.setVisible(false);
        menuL.setVisible(false);
      }
    }
  }

  private static class CustomDesktopManager extends DefaultDesktopManager {
    @Override
    public void iconifyFrame(JInternalFrame f) {
      super.iconifyFrame(f);
      JDesktopIcon icon = f.getDesktopIcon();
      icon.setBounds(icon.getX(), icon.getY(), 170, icon.getHeight());
    }
  }

  /** Creates new form MainFrame */
  public MainFrame() {
    initComponents();
    DesktopManager dm = new CustomDesktopManager();
    desktop.setDesktopManager(dm);
    MenuHandler menuHandler = new MenuHandler();
    for (Component component : menuItems.getComponents()) {
      component.addMouseListener(menuHandler);
    }
    MenuItemsHandler mh = new MenuItemsHandler();
    for (Component component : desktop.getComponents()) {
      if (component instanceof JPanel) {
        JPanel panel = (JPanel) component;
        for (Component panels : panel.getComponents()) {
          panels.addMouseListener(mh);
        }
      }
    }
    menuU.setVisible(false);
    menuV.setVisible(false);
    menuC.setVisible(false);
    menuL.setVisible(false);
  }

  /**
   * This method is called from within the constructor to initialize the form. WARNING: Do NOT
   * modify this code. The content of this method is always regenerated by the Form Editor.
   */
  @SuppressWarnings("unchecked")
  // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
  private void initComponents() {

    ImageIcon icon = new ImageIcon(getClass().getResource("/images/background.png"));
    Image img = icon.getImage();
    desktop =
        new javax.swing.JDesktopPane() {
          public void paintComponent(Graphics g) {
            g.drawImage(img, 0, 0, getWidth(), getHeight(), this);
          }
        };
    menu = new javax.swing.JPanel();
    menuItems = new javax.swing.JPanel();
    itemUsuarios = new javax.swing.JPanel();
    lblUsuarios = new javax.swing.JLabel();
    itemVideos = new javax.swing.JPanel();
    lblVideos = new javax.swing.JLabel();
    itemCategorias = new javax.swing.JPanel();
    lblCategorias = new javax.swing.JLabel();
    itemListas = new javax.swing.JPanel();
    lblListas = new javax.swing.JLabel();
    menuU = new javax.swing.JPanel();
    itemAltaU = new javax.swing.JPanel();
    lblAltaU = new javax.swing.JLabel();
    itemConsultaU = new javax.swing.JPanel();
    lblConsultaU = new javax.swing.JLabel();
    itemModificaionU = new javax.swing.JPanel();
    lblModificacionU = new javax.swing.JLabel();
    itemListarU = new javax.swing.JPanel();
    lblModificacionU1 = new javax.swing.JLabel();
    menuV = new javax.swing.JPanel();
    itemAltaV = new javax.swing.JPanel();
    lblAltaV = new javax.swing.JLabel();
    itemConsultaV = new javax.swing.JPanel();
    lblConsultaV = new javax.swing.JLabel();
    itemModificaionV = new javax.swing.JPanel();
    lblModificacionV = new javax.swing.JLabel();
    menuC = new javax.swing.JPanel();
    itemAltaC = new javax.swing.JPanel();
    lblAltaC = new javax.swing.JLabel();
    itemConsultaC = new javax.swing.JPanel();
    lblConsultaC = new javax.swing.JLabel();
    itemListarC = new javax.swing.JPanel();
    lblConsultaC1 = new javax.swing.JLabel();
    menuL = new javax.swing.JPanel();
    itemAltaL = new javax.swing.JPanel();
    lblAltaL = new javax.swing.JLabel();
    itemModificarL = new javax.swing.JPanel();
    lblModificarL = new javax.swing.JLabel();
    itemAgregarVideoL = new javax.swing.JPanel();
    lblAgregarVideoL = new javax.swing.JLabel();
    itemQuitarVideoL = new javax.swing.JPanel();
    lblQuitarVideoL = new javax.swing.JLabel();
    itemConsultaL = new javax.swing.JPanel();
    lblConsultaL = new javax.swing.JLabel();

    setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
    setTitle("UyTube");
    setResizable(false);

    desktop.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            desktopMouseClicked(evt);
          }
        });

    menu.setBackground(new java.awt.Color(53, 47, 91));
    menu.setMinimumSize(new java.awt.Dimension(820, 30));
    menu.setName("menu"); // NOI18N
    menu.setPreferredSize(new java.awt.Dimension(820, 30));
    menu.setLayout(null);

    menuItems.setBackground(new java.awt.Color(53, 47, 91));
    menuItems.setPreferredSize(new java.awt.Dimension(100, 30));
    menuItems.setLayout(new java.awt.GridLayout(1, 4));

    itemUsuarios.setBackground(new java.awt.Color(53, 47, 91));
    itemUsuarios.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemUsuarios.setLayout(null);

    lblUsuarios.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblUsuarios.setForeground(new java.awt.Color(255, 255, 255));
    lblUsuarios.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    lblUsuarios.setText("Usuarios");
    lblUsuarios.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
    itemUsuarios.add(lblUsuarios);
    lblUsuarios.setBounds(13, 8, 70, 15);

    menuItems.add(itemUsuarios);

    itemVideos.setBackground(new java.awt.Color(53, 47, 91));
    itemVideos.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemVideos.setLayout(null);

    lblVideos.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblVideos.setForeground(new java.awt.Color(255, 255, 255));
    lblVideos.setText("Videos");
    itemVideos.add(lblVideos);
    lblVideos.setBounds(26, 9, 42, 15);

    menuItems.add(itemVideos);

    itemCategorias.setBackground(new java.awt.Color(53, 47, 91));
    itemCategorias.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemCategorias.setLayout(null);

    lblCategorias.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblCategorias.setForeground(new java.awt.Color(255, 255, 255));
    lblCategorias.setText("Categorias");
    itemCategorias.add(lblCategorias);
    lblCategorias.setBounds(12, 9, 70, 15);

    menuItems.add(itemCategorias);

    itemListas.setBackground(new java.awt.Color(53, 47, 91));
    itemListas.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemListas.setLayout(null);

    lblListas.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblListas.setForeground(new java.awt.Color(255, 255, 255));
    lblListas.setText("Listas");
    itemListas.add(lblListas);
    lblListas.setBounds(27, 10, 42, 15);

    menuItems.add(itemListas);

    menu.add(menuItems);
    menuItems.setBounds(0, 0, 392, 30);

    desktop.setLayer(menu, javax.swing.JLayeredPane.MODAL_LAYER);
    desktop.add(menu);
    menu.setBounds(0, 0, 1030, 30);
    menu.getAccessibleContext().setAccessibleName("menu");

    menuU.setBackground(new java.awt.Color(66, 58, 111));
    menuU.setLayout(new java.awt.GridLayout(4, 0));

    itemAltaU.setBackground(new java.awt.Color(66, 58, 111));
    itemAltaU.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemAltaU.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemAltaUMouseClicked(evt);
          }
        });
    itemAltaU.setLayout(null);

    lblAltaU.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblAltaU.setForeground(new java.awt.Color(255, 255, 255));
    lblAltaU.setText("Alta Usuario");
    itemAltaU.add(lblAltaU);
    lblAltaU.setBounds(10, 15, 90, 15);

    menuU.add(itemAltaU);

    itemConsultaU.setBackground(new java.awt.Color(66, 58, 111));
    itemConsultaU.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemConsultaU.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemConsultaUMouseClicked(evt);
          }
        });
    itemConsultaU.setLayout(null);

    lblConsultaU.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblConsultaU.setForeground(new java.awt.Color(255, 255, 255));
    lblConsultaU.setText("Consulta Usuario");
    itemConsultaU.add(lblConsultaU);
    lblConsultaU.setBounds(10, 15, 120, 15);

    menuU.add(itemConsultaU);

    itemModificaionU.setBackground(new java.awt.Color(66, 58, 111));
    itemModificaionU.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemModificaionU.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemModificaionUMouseClicked(evt);
          }
        });
    itemModificaionU.setLayout(null);

    lblModificacionU.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblModificacionU.setForeground(new java.awt.Color(255, 255, 255));
    lblModificacionU.setText("Modificar Usuario");
    itemModificaionU.add(lblModificacionU);
    lblModificacionU.setBounds(10, 15, 120, 15);

    menuU.add(itemModificaionU);

    itemListarU.setBackground(new java.awt.Color(66, 58, 111));
    itemListarU.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemListarU.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemListarUMouseClicked(evt);
          }
        });
    itemListarU.setLayout(null);

    lblModificacionU1.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblModificacionU1.setForeground(new java.awt.Color(255, 255, 255));
    lblModificacionU1.setText("Listar Usuarios");
    itemListarU.add(lblModificacionU1);
    lblModificacionU1.setBounds(10, 15, 120, 15);

    menuU.add(itemListarU);

    desktop.setLayer(menuU, javax.swing.JLayeredPane.POPUP_LAYER);
    desktop.add(menuU);
    menuU.setBounds(0, 30, 140, 170);

    menuV.setLayout(new java.awt.GridLayout(3, 0));

    itemAltaV.setBackground(new java.awt.Color(66, 58, 111));
    itemAltaV.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemAltaV.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemAltaVMouseClicked(evt);
          }
        });
    itemAltaV.setLayout(null);

    lblAltaV.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblAltaV.setForeground(new java.awt.Color(255, 255, 255));
    lblAltaV.setText("Alta Video");
    itemAltaV.add(lblAltaV);
    lblAltaV.setBounds(10, 15, 90, 15);

    menuV.add(itemAltaV);

    itemConsultaV.setBackground(new java.awt.Color(66, 58, 111));
    itemConsultaV.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemConsultaV.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemConsultaVMouseClicked(evt);
          }
        });
    itemConsultaV.setLayout(null);

    lblConsultaV.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblConsultaV.setForeground(new java.awt.Color(255, 255, 255));
    lblConsultaV.setText("Consulta Video");
    itemConsultaV.add(lblConsultaV);
    lblConsultaV.setBounds(10, 15, 120, 15);

    menuV.add(itemConsultaV);

    itemModificaionV.setBackground(new java.awt.Color(66, 58, 111));
    itemModificaionV.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemModificaionV.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemModificaionVMouseClicked(evt);
          }
        });
    itemModificaionV.setLayout(null);

    lblModificacionV.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblModificacionV.setForeground(new java.awt.Color(255, 255, 255));
    lblModificacionV.setText("Modificar Video");
    itemModificaionV.add(lblModificacionV);
    lblModificacionV.setBounds(10, 15, 120, 15);

    menuV.add(itemModificaionV);

    desktop.setLayer(menuV, javax.swing.JLayeredPane.POPUP_LAYER);
    desktop.add(menuV);
    menuV.setBounds(98, 30, 130, 130);

    menuC.setLayout(new java.awt.GridLayout(3, 0));

    itemAltaC.setBackground(new java.awt.Color(66, 58, 111));
    itemAltaC.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemAltaC.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemAltaCMouseClicked(evt);
          }
        });
    itemAltaC.setLayout(null);

    lblAltaC.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblAltaC.setForeground(new java.awt.Color(255, 255, 255));
    lblAltaC.setText("Alta Categoria");
    itemAltaC.add(lblAltaC);
    lblAltaC.setBounds(10, 10, 100, 15);

    menuC.add(itemAltaC);

    itemConsultaC.setBackground(new java.awt.Color(66, 58, 111));
    itemConsultaC.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemConsultaC.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemConsultaCMouseClicked(evt);
          }
        });
    itemConsultaC.setLayout(null);

    lblConsultaC.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblConsultaC.setForeground(new java.awt.Color(255, 255, 255));
    lblConsultaC.setText("Consulta Categorias");
    itemConsultaC.add(lblConsultaC);
    lblConsultaC.setBounds(10, 10, 140, 15);

    menuC.add(itemConsultaC);

    itemListarC.setBackground(new java.awt.Color(66, 58, 111));
    itemListarC.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemListarC.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemListarCMouseClicked(evt);
          }
        });
    itemListarC.setLayout(null);

    lblConsultaC1.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblConsultaC1.setForeground(new java.awt.Color(255, 255, 255));
    lblConsultaC1.setText("Listar Categorias");
    itemListarC.add(lblConsultaC1);
    lblConsultaC1.setBounds(10, 10, 140, 15);

    menuC.add(itemListarC);

    desktop.setLayer(menuC, javax.swing.JLayeredPane.POPUP_LAYER);
    desktop.add(menuC);
    menuC.setBounds(196, 30, 150, 130);

    menuL.setLayout(new java.awt.GridLayout(5, 0));

    itemAltaL.setBackground(new java.awt.Color(66, 58, 111));
    itemAltaL.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemAltaL.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemAltaLMouseClicked(evt);
          }
        });
    itemAltaL.setLayout(null);

    lblAltaL.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblAltaL.setForeground(new java.awt.Color(255, 255, 255));
    lblAltaL.setText("Alta Lista");
    itemAltaL.add(lblAltaL);
    lblAltaL.setBounds(10, 15, 80, 15);

    menuL.add(itemAltaL);

    itemModificarL.setBackground(new java.awt.Color(66, 58, 111));
    itemModificarL.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemModificarL.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemModificarLMouseClicked(evt);
          }
        });
    itemModificarL.setLayout(null);

    lblModificarL.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblModificarL.setForeground(new java.awt.Color(255, 255, 255));
    lblModificarL.setText("Modificar Lista");
    itemModificarL.add(lblModificarL);
    lblModificarL.setBounds(10, 15, 110, 15);

    menuL.add(itemModificarL);

    itemAgregarVideoL.setBackground(new java.awt.Color(66, 58, 111));
    itemAgregarVideoL.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemAgregarVideoL.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemAgregarVideoLMouseClicked(evt);
          }
        });
    itemAgregarVideoL.setLayout(null);

    lblAgregarVideoL.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblAgregarVideoL.setForeground(new java.awt.Color(255, 255, 255));
    lblAgregarVideoL.setText("Agregar Video");
    itemAgregarVideoL.add(lblAgregarVideoL);
    lblAgregarVideoL.setBounds(10, 15, 110, 15);

    menuL.add(itemAgregarVideoL);

    itemQuitarVideoL.setBackground(new java.awt.Color(66, 58, 111));
    itemQuitarVideoL.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemQuitarVideoL.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemQuitarVideoLMouseClicked(evt);
          }
        });
    itemQuitarVideoL.setLayout(null);

    lblQuitarVideoL.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblQuitarVideoL.setForeground(new java.awt.Color(255, 255, 255));
    lblQuitarVideoL.setText("Quitar Video");
    itemQuitarVideoL.add(lblQuitarVideoL);
    lblQuitarVideoL.setBounds(10, 15, 84, 15);

    menuL.add(itemQuitarVideoL);

    itemConsultaL.setBackground(new java.awt.Color(66, 58, 111));
    itemConsultaL.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    itemConsultaL.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            itemConsultaLMouseClicked(evt);
          }
        });
    itemConsultaL.setLayout(null);

    lblConsultaL.setFont(new java.awt.Font("Monospaced", 1, 12)); // NOI18N
    lblConsultaL.setForeground(new java.awt.Color(255, 255, 255));
    lblConsultaL.setText("Consulta Lista");
    itemConsultaL.add(lblConsultaL);
    lblConsultaL.setBounds(10, 15, 98, 15);

    menuL.add(itemConsultaL);

    desktop.setLayer(menuL, javax.swing.JLayeredPane.POPUP_LAYER);
    desktop.add(menuL);
    menuL.setBounds(294, 30, 150, 210);

    javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
    getContentPane().setLayout(layout);
    layout.setHorizontalGroup(
        layout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(
                desktop,
                javax.swing.GroupLayout.Alignment.TRAILING,
                javax.swing.GroupLayout.DEFAULT_SIZE,
                1024,
                Short.MAX_VALUE));
    layout.setVerticalGroup(
        layout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(
                desktop,
                javax.swing.GroupLayout.Alignment.TRAILING,
                javax.swing.GroupLayout.DEFAULT_SIZE,
                768,
                Short.MAX_VALUE));

    pack();
    setLocationRelativeTo(null);
  } // </editor-fold>//GEN-END:initComponents

  private void itemListarCMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemListarCMouseClicked
    ListarCategorias listarCategorias = new ListarCategorias();
    desktop.add(listarCategorias);
    listarCategorias.show();
    menuC.setVisible(false);
    itemCategorias.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemListarCMouseClicked

  private void itemListarUMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemListarUMouseClicked
    ListarUsuarios listarUsuarios = new ListarUsuarios();
    desktop.add(listarUsuarios);
    listarUsuarios.show();
    menuU.setVisible(false);
    itemUsuarios.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemListarUMouseClicked

  private void itemModificaionUMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemModificaionUMouseClicked
    ModificarUsuario modificarUsuario = new ModificarUsuario();
    desktop.add(modificarUsuario);
    modificarUsuario.show();
    menuU.setVisible(false);
    itemUsuarios.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemModificaionUMouseClicked

  private void itemConsultaVMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemConsultaVMouseClicked
    ConsultaVideo consultaVideo = new ConsultaVideo();
    desktop.add(consultaVideo);
    consultaVideo.show();
    menuV.setVisible(false);
    itemVideos.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemConsultaVMouseClicked

  private void itemAltaVMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemAltaVMouseClicked
    AltaVideo altaVideo = new AltaVideo();
    desktop.add(altaVideo);
    altaVideo.show();
    menuV.setVisible(false);
    itemVideos.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemAltaVMouseClicked

  private void itemModificaionVMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemModificaionVMouseClicked
    ModificarVideo modificarVideo = new ModificarVideo();
    desktop.add(modificarVideo);
    modificarVideo.show();
    menuV.setVisible(false);
    itemVideos.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemModificaionVMouseClicked

  private void itemConsultaCMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemConsultaCMouseClicked
    ConsultaCategoria consultaCategoria = new ConsultaCategoria();
    desktop.add(consultaCategoria);
    consultaCategoria.show();
    menuC.setVisible(false);
    itemCategorias.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemConsultaCMouseClicked

  private void itemConsultaLMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemConsultaLMouseClicked
    ConsultaLista consultaLista = new ConsultaLista();
    desktop.add(consultaLista);
    consultaLista.show();
    menuL.setVisible(false);
    itemListas.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemConsultaLMouseClicked

  private void itemConsultaUMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemConsultaUMouseClicked
    ConsultaUsuario consultaUsuario = new ConsultaUsuario();
    desktop.add(consultaUsuario);
    consultaUsuario.show();
    menuU.setVisible(false);
    itemUsuarios.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemConsultaUMouseClicked

  private void itemQuitarVideoLMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemQuitarVideoLMouseClicked
    QuitarVideoLista quitarVideoLista = new QuitarVideoLista();
    desktop.add(quitarVideoLista);
    quitarVideoLista.show();
    menuL.setVisible(false);
    itemListas.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemQuitarVideoLMouseClicked

  private void itemAgregarVideoLMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemAgregarVideoLMouseClicked
    AgregarVideoLista agregarVideoLista = new AgregarVideoLista();
    desktop.add(agregarVideoLista);
    agregarVideoLista.show();
    menuL.setVisible(false);
    itemListas.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemAgregarVideoLMouseClicked

  private void itemModificarLMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemModificarLMouseClicked
    ModificarLista modificarLista = new ModificarLista();
    desktop.add(modificarLista);
    modificarLista.show();
    menuL.setVisible(false);
    itemListas.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemModificarLMouseClicked

  private void itemAltaCMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemAltaCMouseClicked
    AltaCategoria altaCategoria = new AltaCategoria();
    desktop.add(altaCategoria);
    altaCategoria.show();
    menuC.setVisible(false);
    itemCategorias.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemAltaCMouseClicked

  private void itemComentarVMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemComentarVMouseClicked
    ComentarVideo comentarVideo = new ComentarVideo();
    desktop.add(comentarVideo);
    comentarVideo.show();
    menuV.setVisible(false);
    itemVideos.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemComentarVMouseClicked

  private void itemAltaLMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemAltaLMouseClicked
    AltaLista al = new AltaLista();
    this.desktop.add(al);
    al.show();
    menuL.setVisible(false);
    itemListas.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemAltaLMouseClicked

  private void desktopMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_desktopMouseClicked
    menuU.setVisible(false);
    menuV.setVisible(false);
    menuL.setVisible(false);
    menuC.setVisible(false);
    for (Component component : menuItems.getComponents()) {
      JPanel panel = (JPanel) component;
      panel.setBackground(new Color(53, 47, 91));
    }
  } // GEN-LAST:event_desktopMouseClicked

  private void itemAltaUMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_itemAltaUMouseClicked
    AltaUsuario au = new AltaUsuario();
    this.desktop.add(au);
    au.show();
    menuU.setVisible(false);
    itemUsuarios.setBackground(new Color(53, 47, 91));
  } // GEN-LAST:event_itemAltaUMouseClicked

  // Variables declaration - do not modify//GEN-BEGIN:variables
  private javax.swing.JDesktopPane desktop;
  private javax.swing.JPanel itemAgregarVideoL;
  private javax.swing.JPanel itemAltaC;
  private javax.swing.JPanel itemAltaL;
  private javax.swing.JPanel itemAltaU;
  private javax.swing.JPanel itemAltaV;
  private javax.swing.JPanel itemCategorias;
  private javax.swing.JPanel itemConsultaC;
  private javax.swing.JPanel itemConsultaL;
  private javax.swing.JPanel itemConsultaU;
  private javax.swing.JPanel itemConsultaV;
  private javax.swing.JPanel itemListarC;
  private javax.swing.JPanel itemListarU;
  private javax.swing.JPanel itemListas;
  private javax.swing.JPanel itemModificaionU;
  private javax.swing.JPanel itemModificaionV;
  private javax.swing.JPanel itemModificarL;
  private javax.swing.JPanel itemQuitarVideoL;
  private javax.swing.JPanel itemUsuarios;
  private javax.swing.JPanel itemVideos;
  private javax.swing.JLabel lblAgregarVideoL;
  private javax.swing.JLabel lblAltaC;
  private javax.swing.JLabel lblAltaL;
  private javax.swing.JLabel lblAltaU;
  private javax.swing.JLabel lblAltaV;
  private javax.swing.JLabel lblCategorias;
  private javax.swing.JLabel lblConsultaC;
  private javax.swing.JLabel lblConsultaC1;
  private javax.swing.JLabel lblConsultaL;
  private javax.swing.JLabel lblConsultaU;
  private javax.swing.JLabel lblConsultaV;
  private javax.swing.JLabel lblListas;
  private javax.swing.JLabel lblModificacionU;
  private javax.swing.JLabel lblModificacionU1;
  private javax.swing.JLabel lblModificacionV;
  private javax.swing.JLabel lblModificarL;
  private javax.swing.JLabel lblQuitarVideoL;
  private javax.swing.JLabel lblUsuarios;
  private javax.swing.JLabel lblVideos;
  private javax.swing.JPanel menu;
  private javax.swing.JPanel menuC;
  private javax.swing.JPanel menuItems;
  private javax.swing.JPanel menuL;
  private javax.swing.JPanel menuU;
  private javax.swing.JPanel menuV;
  // End of variables declaration//GEN-END:variables
}
